GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::TableReader Class Reference

Class for representing a TableReader. More...

`#include <gdcmTableReader.h>`

Inheritance diagram for gdcm::TableReader:
[legend]

List of all members.

## Public Member Functions

| TableReader (Defs &defs)
virtual | ~TableReader ()
virtual void | CharacterDataHandler (const char *data, int length)
virtual void | EndElement (const char *name)
const Defs & | GetDefs () const
const char * | GetFilename ()
void | HandleIOD (const char **atts)
void | HandleIODEntry (const char **atts)
void | HandleMacro (const char **atts)
void | HandleMacroEntry (const char **atts)
void | HandleMacroEntryDescription (const char **atts)
void | HandleModule (const char **atts)
void | HandleModuleEntry (const char **atts)
void | HandleModuleEntryDescription (const char **atts)
void | HandleModuleInclude (const char **atts)
int | Read ()
void | SetFilename (const char *filename)
virtual void | StartElement (const char *name, const char **atts)

## Detailed Description

Class for representing a TableReader.

Note:
  This class is an empty shell meant to be derived

## Constructor & Destructor Documentation

gdcm::TableReader::TableReader | ( | Defs & | defs | ) | `[inline]`

virtual gdcm::TableReader::~TableReader | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void gdcm::TableReader::CharacterDataHandler | ( | const char * | data,
|  | int | length
| ) |  | `[virtual]`

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

virtual void gdcm::TableReader::EndElement | ( | const char * | name | ) | `[virtual]`

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

const Defs& gdcm::TableReader::GetDefs | ( |  | ) | const`[inline]`

const char* gdcm::TableReader::GetFilename | ( |  | ) | `[inline]`

void gdcm::TableReader::HandleIOD | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleIODEntry | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleMacro | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleMacroEntry | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleMacroEntryDescription | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleModule | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleModuleEntry | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleModuleEntryDescription | ( | const char ** | atts | ) |

void gdcm::TableReader::HandleModuleInclude | ( | const char ** | atts | ) |

int gdcm::TableReader::Read | ( |  | ) |

void gdcm::TableReader::SetFilename | ( | const char * | filename | ) | `[inline]`

virtual void gdcm::TableReader::StartElement | ( | const char * | name,
|  | const char ** | atts
| ) |  | `[virtual]`

Reimplemented in gdcm::XMLDictReader, and gdcm::XMLPrivateDictReader.

The documentation for this class was generated from the following file:

- gdcmTableReader.h